Bug 1250229 - UI plugin for external links in CFME menu displays empty frame instead of configured external website [NEEDINFO]
UI plugin for external links in CFME menu displays empty frame instead of con...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Martin Povolny
Jeff Teehan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 15:04 EDT by ncatling
Modified: 2016-02-16 04:40 EST (History)
9 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:25:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfalesni: needinfo? (mpovolny)
jteehan: needinfo? (mpovolny)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description ncatling 2015-08-04 15:04:44 EDT
Description of problem:
UI plugin for external links in CFME menu displays empty frame instead of configured external website.

Version-Release number of selected component (if applicable):
Tested on 5.4.0 and 5.4.1

How reproducible:


Steps to Reproduce:
1. Create following files:

product/menubar/news_section.yml
type: section
name: News
id: news_menu
feature: news
rbac:
  feature: news
section_type: big_iframe
href: http://www.cnn.com

product/menubar/news_item_cnn.yml
type: item
name: CNN
id: news_cnn
feature: news_cnn
rbac:
  feature: news_cnn
parent: news_menu
href: http://www.cnn.com
item_type: big_iframe

db/fixtures/miq_product_features/menu_news.yml
---
:name: News
:description: Access to News
:feature_type: node
:parent: everything
:identifier: news
:children:
- :name: CNN
  :description: CNN News Site
  :feature_type: node
  :identifier: news_cnn

2. Restart evm
3. View new 'news' menu

Actual results:
New 'news' menu available but empty frame displayed instead of external website.

Expected results:
External website displayed.

Additional info:

No errors displayed in production log.

[RFE] UI plugin for external links in CFME menu
https://bugzilla.redhat.com/show_bug.cgi?id=1205213

Example based on examples here:
https://github.com/ManageIQ/manageiq/pull/1680
Comment 2 Martin Povolny 2015-08-06 07:11:07 EDT
This seems to be a style issue to me. Related to the productization.

Seems there's a style missing in CFME compared to ManageIQ. 

Eric, can you help with this one, please?
Comment 4 Martin Povolny 2015-08-06 10:57:46 EDT
I had a feeling of deja vu here and really here we go: https://bugzilla.redhat.com/show_bug.cgi?id=1229326

Can you, please confirm that this is the same problem (as there's no screenshot in this PR)?

A hot fix to resolve the issue add

iframe, .iframe { width: 100%; height: 100% }

to /var/www/miq/vmdb/app/assets/stylesheets/patternfly_overrides.less
Comment 5 Martin Povolny 2015-08-06 12:24:01 EDT
Forgot to add that after editing the file you have to go to

/var/www/miq/vmdb/
and run
RAILS_ENV=production rake assets:clean
RAILS_ENV=production rake assets:precompile
service evmserverd restart
Comment 7 ncatling 2015-08-06 13:59:36 EDT
After making the advised changes and using https, the files I used above work.
Comment 8 Martin Povolny 2015-08-14 10:10:20 EDT
In master we have 

iframe, .iframe {
  width: 100%; height: 100%;
}

in app/assets/stylesheets/patternfly_overrides.scss

so I am moving this to POST
Comment 10 Jeff Teehan 2015-12-03 13:32:31 EST
I can't seem to bring this one home.  I've created the files, I can see everything in Access Roles is selected, but I still don't see any menus.

I tried the above steps and the steps in the PR.  The PR steps killed my appliance.

Here is the appliance.  https://10.16.6.225/ops/explorer  Can you take a look and help me with what I am missing?
Comment 11 Jeff Teehan 2015-12-07 17:45:41 EST
I haven't heard anything, so I'm going to kick this back to ONDEV for now so the 5.5 can go out.  Milan couldn't get it to work either.  Perhaps we're missing something.
Comment 13 errata-xmlrpc 2015-12-08 08:25:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551
Comment 14 Krain Arnold 2016-02-16 04:40:31 EST
(In reply to Jeff Teehan from comment #11)
> I haven't heard anything, so I'm going to kick this back to ONDEV for now so
> the 5.5 can go out.  Milan couldn't get it to work either.  Perhaps we're
> missing something.

I noticed that there is a file in /var/www/miq/vmdb/config named permissions.yml that wasn't there before. It has a list of all the symbols that represent menu items. I was able to get my menu item to show up by adding the section id to that file.

Note You need to log in before you can comment on or make changes to this bug.